/*
 * arduPAN.c
 *
 * Created: 07.03.2018 12:24:38
 *  Author: dsosnowski
 */ 


#define F_CPU 11059200UL
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/wdt.h>
#include <avr/sleep.h>
#include <avr/pgmspace.h>
#include "lcd.h"
#include "serial.h"
#include "comm.h"

int main(void){
	
	uint16_t startup = 2000;
	
	SerialInit();
	LCDInit();
	//LCDMsg(0,0," Arduino panel  ");
	//LCDMsg(1,0,"   AVT 5666     ");
	//LCDLocate(0,0);
	
	SerialClear();
	
    while(1){

		if (SerialCheck() > 0){
			CommPrepare();		
			
			if (CommCheck() > 0){

				if (startup == 1){
					LCDClear();
					LCDLocate(0,0);
				}
				startup = 0;
				
				CommExe();
				CommClear();
			}

			SerialClear();
		}

		if (startup > 2){
			startup--;

			if (startup == 2) {
				LCDMsg(0,0,"Arduino EduBoard");
				LCDMsg(1,0,"   AVT 5636     ");
				LCDLocate(0,0);
				startup = 1;
			}
		}
		
		_delay_ms(1);
    }
}